#
# spec file for package perl-Verilog-Perl
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Verilog-Perl
Version:        3.404
Release:        7.5
%define cpan_name Verilog-Perl
Summary:        Verilog language utilities and parsing
License:        Artistic-2.0 or LGPL-3.0
Group:          Development/Libraries/Perl
Url:            http://www.veripool.org/wiki/verilog-perl
Source:         http://search.cpan.org/CPAN/authors/id/W/WS/WSNYDER/Verilog-Perl-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Pod::Usage) >= 1.34
Requires:       perl(Pod::Usage) >= 1.34
%{perl_requires}

%description
The Verilog-Perl library is a building point for Verilog support in the Perl language.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist

%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%dir %{perl_vendorarch}/Verilog
%dir %{perl_vendorarch}/auto/Verilog
%{_bindir}/*
%{perl_vendorarch}/Verilog/*
%{perl_vendorarch}/auto/Verilog/*
%{_mandir}/man?/*

%changelog
* Sun Aug 17 2014 dmitry_r@opensuse.org
- Initial package, version 3.404
